This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478079 - Review Request: nuvola-app-siriusxm - SiriusXM script for Nuvola Player 3
Review Request: nuvola-app-siriusxm - SiriusXM script for Nuvola Player 3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 10:27 EDT by mgansser@alice.de
Modified: 2017-08-26 07:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-26 07:52:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description mgansser@alice.de 2017-08-03 10:27:33 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-siriusxm.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-siriusxm-1.3-1.fc26.src.rpm

Description: Integration of SiriusXM into your linux desktop via Nuvola Player.

Fedora Account System Username: martinkg

%changelog
* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.3-1
- initial build

rpmlint -i -v nuvola-app-siriusxm.spec /home/martin/rpmbuild/SRPMS/nuvola-app-siriusxm-1.3-1.fc26.src.rpm /home/martin/rpmbuild/RPMS/noarch/nuvola-app-siriusxm-1.3-1.fc26.noarch.rpm
nuvola-app-siriusxm.spec: I: checking
nuvola-app-siriusxm.spec:29: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-siriusxm.spec: I: checking-url https://github.com/tiliado/nuvola-app-siriusxm/archive/1.3.tar.gz#/nuvola-app-siriusxm-1.3.tar.gz (timeout 10 seconds)
nuvola-app-siriusxm.src: I: checking
nuvola-app-siriusxm.src: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-siriusxm.src: I: checking-url https://github.com/tiliado/nuvola-app-siriusxm (timeout 10 seconds)
nuvola-app-siriusxm.src:29: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-siriusxm.src: I: checking-url https://github.com/tiliado/nuvola-app-siriusxm/archive/1.3.tar.gz#/nuvola-app-siriusxm-1.3.tar.gz (timeout 10 seconds)
nuvola-app-siriusxm.noarch: I: checking
nuvola-app-siriusxm.noarch: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-siriusxm.noarch: I: checking-url https://github.com/tiliado/nuvola-app-siriusxm (timeout 10 seconds)
nuvola-app-siriusxm.noarch: W: desktopfile-without-binary /usr/share/applications/eu.tiliado.NuvolaAppSiriusxm.desktop nuvola
the .desktop file is for a file not present in the package. You should check
the requires or see if this is not a error

2 packages and 1 specfiles checked; 0 errors, 5 warnings.
Comment 1 Robert-André Mauchin 2017-08-25 09:15:42 EDT
Hello,


Add a comment explaining taht the program is BSD but the icons are under CC-BY-SA.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* BSD (2 clause)", "BSD (2 clause)", "*No
     copyright* CC by (v3.0)", "Unknown or generated". 8 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /nuvola-app-siriusxm/review-nuvola-app-siriusxm/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/nuvolaruntime/web_apps(nuvola-app-mixcloud, nuvola-app-
     bandcamp, nuvola-app-amazon-cloud-player, nuvolaruntime-devel)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in nuvola-app-siriusxm
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nuvola-app-siriusxm-1.3-1.fc28.noarch.rpm
          nuvola-app-siriusxm-1.3-1.fc28.src.rpm
nuvola-app-siriusxm.noarch: W: desktopfile-without-binary /usr/share/applications/eu.tiliado.NuvolaAppSiriusxm.desktop nuvola
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 mgansser@alice.de 2017-08-25 09:51:25 EDT
Thanks for the review.
Comment 3 Gwyn Ciesla 2017-08-25 10:08:49 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nuvola-app-siriusxm
Comment 4 mgansser@alice.de 2017-08-26 07:52:58 EDT
package has been built successfully on f25, f26, f27 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.